function [meanPort,stdPort] = ComputeFrontier(Port, rho)
    
    %Definizione dei nuovi pesi espressi in funzione dell'indice i.
    %Varieranno al variare di i.
    w1 = linspace(0,1,100);
    w2 = 1-w1;    
    w = [w1' w2'];
    %Ricalcolo del rendimento e della deviazione standard del portafoglio
    %con i pesi definiti
    Var_R2 = var(Port);
    Sigma = [Var_R2(1) rho*sqrt(Var_R2(1)*Var_R2(2));rho*sqrt(Var_R2(1)*Var_R2(2)) Var_R2(2)];
    %s = sqrt(sum((w' * Sigma) .* w', 2));  % (N x 1)

    Vp = diag(w*Sigma*w'); 
    meanPort = mean(Port)*w';
    stdPort = sqrt(Vp);

end